Skip to main content
`Ctrl`+`K`

# PetscViewerCheckReadable

Check whether the viewer can be read from, generates an error if not

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerCheckReadable(PetscViewer viewer)

Collective

## Input Parameter

- viewer - the `PetscViewer` context

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerReadable()`, `PetscViewerCheckWritable()`, `PetscViewerCreate()`, `PetscViewerFileSetMode()`, `PetscViewerFileSetType()`

## Level

intermediate

## Location

src/sys/classes/viewer/interface/view.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages